CVE-2020-11514: WordPress plugin vulnerability

Share this with people that should know this:

The Rank Math plugin through 1.0.40.2 for WordPress allows unauthenticated remote attackers to update arbitrary WordPress metadata, including the ability to escalate or revoke administrative privileges for existing users via the unsecured rankmath/v1/updateMeta REST API endpoint.

References

  • rankmath.com/changelog/
  • wordpress.org/plugins/seo-by-rank-math/#developers
  • www.wordfence.com/blog/2020/03/critical-vulnerabilities-affecting-over-200000-sites-patched-in-rank-math-seo-plugin/
  • Share this with people that should know this: